public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Andrey Grozin" <grozin@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: sci-geosciences/routino/
Date: Mon, 26 Apr 2021 14:36:56 +0000 (UTC)	[thread overview]
Message-ID: <1619447800.f4d942a637d629e133bd9fef3ff6c537d00eb291.grozin@gentoo> (raw)

commit:     f4d942a637d629e133bd9fef3ff6c537d00eb291
Author:     Andrey Grozin <grozin <AT> gentoo <DOT> org>
AuthorDate: Mon Apr 26 14:36:40 2021 +0000
Commit:     Andrey Grozin <grozin <AT> gentoo <DOT> org>
CommitDate: Mon Apr 26 14:36:40 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=f4d942a6

sci-geosciences/routino: bump to 3.3.3

Package-Manager: Portage-3.0.18, Repoman-3.0.3
Signed-off-by: Andrey Grozin <grozin <AT> gentoo.org>

 sci-geosciences/routino/Manifest             |  1 +
 sci-geosciences/routino/routino-3.3.3.ebuild | 82 ++++++++++++++++++++++++++++
 2 files changed, 83 insertions(+)

diff --git a/sci-geosciences/routino/Manifest b/sci-geosciences/routino/Manifest
index 8bcf4f33405..b5e887f673e 100644
--- a/sci-geosciences/routino/Manifest
+++ b/sci-geosciences/routino/Manifest
@@ -1 +1,2 @@
 DIST routino-3.3.2.tgz 2542029 BLAKE2B e74af857ef29d4ee4a08d8a2913180dfca747001f4afd59ad20a9ed355e654dc86d26fb1afb5486ece30ddf6b7cba7b60c52feae30af14086f2b4d5259451125 SHA512 5341a2ec063192754d641a4543260f4b3b3d84a7a9bfe745fca2082cdcc8bb7220bf37ed58aacf9e65eba4555432a6bdbb9747153a383dfff72e2aca01c66070
+DIST routino-3.3.3.tgz 2564198 BLAKE2B 0476e4afb2279c6a93b3d5192a1be580b0ee20fe07b5101c7d590bd3b74873e0205549c2fa621c6444eea0dd0cf0545c9fc054454e04f434d3e57ed750b1df3d SHA512 b037f6ef38b3abef4639d639c3564b42adc742d225108905d0cacb790e4a07593245c537b5550c43874cd6083f37b710b7aec02a0b0669c927804cf30ce34386

diff --git a/sci-geosciences/routino/routino-3.3.3.ebuild b/sci-geosciences/routino/routino-3.3.3.ebuild
new file mode 100644
index 00000000000..7a46ac85f34
--- /dev/null
+++ b/sci-geosciences/routino/routino-3.3.3.ebuild
@@ -0,0 +1,82 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+DISTUTILS_USE_SETUPTOOLS=no
+PYTHON_COMPAT=( python3_{7,8,9} )
+inherit toolchain-funcs distutils-r1
+
+DESCRIPTION="Routing application based on openstreetmap data"
+HOMEPAGE="https://routino.org/"
+SRC_URI="https://routino.org/download/${P}.tgz"
+
+LICENSE="AGPL-3+"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="python test"
+
+REQUIRED_USE="python? ( ${PYTHON_REQUIRED_USE} )"
+RESTRICT="!test? ( test )"
+
+DEPEND="
+	python? (
+		${PYTHON_DEPS}
+		dev-lang/swig
+	)
+"
+RDEPEND="python? ( ${PYTHON_DEPS} )"
+
+PATCHES=( "${FILESDIR}"/${PN}-3.3.2.patch )
+
+src_prepare() {
+	default
+
+	sed -i -e "s@libdir=\(.*\)@libdir=\$(prefix)/$(get_libdir)@" \
+		-e "s@CC=gcc@CC=$(tc-getCC)@" \
+		-e "s@LD=gcc@LD=$(tc-getCC)@" \
+		Makefile.conf || die "failed sed"
+}
+
+src_compile() {
+	emake -j1
+	rm README.txt || die "rm README.txt failed"
+	mv doc/README.txt . || die "mv doc/README.txt . failed"
+	if use python; then
+		pushd python > /dev/null
+		python_compile() {
+			rm -f build/.timestamp || die
+			emake PYTHON=${EPYTHON}
+		}
+		python_foreach_impl python_compile
+		popd > /dev/null
+	fi
+}
+
+src_test() {
+	emake test
+#	if use python; then
+#		pushd python > /dev/null
+#		python_test() {
+#			echo "######## ${EPYTHON} ########"
+#			emake PYTHON=${EPYTHON} test
+#		}
+#		python_foreach_impl python_test
+#		popd > /dev/null
+#	fi
+}
+
+src_install() {
+	default
+	if use python; then
+		pushd python > /dev/null
+		python_install() {
+			esetup.py install
+			python_optimize
+		}
+		python_foreach_impl python_install
+		newdoc README.txt README_python.txt
+		popd > /dev/null
+	fi
+
+}


             reply	other threads:[~2021-04-26 14:37 UTC|newest]

Thread overview: 31+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2021-04-26 14:36 Andrey Grozin [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-05-28 22:01 [gentoo-commits] repo/gentoo:master commit in: sci-geosciences/routino/ Sam James
2024-04-18 12:07 Andrey Grozin
2024-04-18 12:00 Andrey Grozin
2024-02-02 16:27 Arthur Zamarin
2023-07-20 16:07 Andrey Grozin
2023-05-09  5:51 Andrey Grozin
2023-04-19 11:52 Sam James
2023-04-19 11:23 Sam James
2023-02-21 10:39 Andrey Grozin
2023-02-21 10:38 Andrey Grozin
2023-02-16 13:26 Andrey Grozin
2022-06-16 13:56 Andrey Grozin
2022-06-14 21:17 Jakov Smolić
2022-06-14 21:17 Jakov Smolić
2022-06-12 15:34 Sam James
2022-06-09  7:39 Agostino Sarubbo
2022-06-09  7:34 Agostino Sarubbo
2022-05-24 10:11 Andrey Grozin
2021-11-04 22:04 Sam James
2021-05-27 21:06 David Seifert
2021-05-27  6:57 Agostino Sarubbo
2021-05-27  6:55 Agostino Sarubbo
2021-03-08 10:25 Sam James
2021-03-06 15:37 Thomas Deutschmann
2021-02-23 19:53 Andreas Sturmlechner
2018-10-02 15:00 Mikle Kolyada
2018-10-01 21:47 Thomas Deutschmann
2018-09-16  4:23 Andrey Grozin
2016-12-19 19:31 Tobias Klausmann
2016-01-14 15:19 Andrey Grozin

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1619447800.f4d942a637d629e133bd9fef3ff6c537d00eb291.grozin@gentoo \
    --to=grozin@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox